Compile a multi-threading LAME version

Discussion in 'Mac Programming' started by Caesar_091, Sep 24, 2006.

  1. macrumors regular

    Caesar_091

    Joined:
    Jan 18, 2005
    Location:
    Italy
    #1
    Hi,
    I would like to compile a multithreading version of LAME.
    Via Google I found this project:
    http://softlab.technion.ac.il/project/LAME/html/lame.html
    Source code is avaiable here:
    http://softlab.technion.ac.il/project/LAME/src/

    Inside that file there is a mac folder too but I can't get LAME to compile (I'm try on a Sawtooth PowerMac G4 and on a brand new 3GHz Mac Pro).

    How should I have to use that mac folder? With the classic "% ./configure" I get this error:
    Code:
    % ./configure
    : bad interpreter: No such file or directory
    
    As you can see I need help :rolleyes:
    Any idea?

    PS: I'm not sure this is the right area; if not please put the tread in the right one :)
     
  2. macrumors 68020

    Krevnik

    Joined:
    Sep 8, 2003
    #2
    Well, there is a folder within the unzipped folder, but at the same time it looks like the line-endings are garbled. I am trying to see what is up with it.
     
  3. macrumors 6502a

    Sayer

    Joined:
    Jan 4, 2002
    Location:
    Austin, TX
    #3
    The files were edited on Windoze, which changes the line-ending to a format that chokes the UNIX tools to compile and such.

    If you have Xcode (most likely) installed, just open the file:

    configure
    configure.in

    In Xcode. In the Format menu select "Line Endings" and select "UNIX (LF)" on each file and save the files.

    Then type ./configure.
     
  4. macrumors 68020

    Krevnik

    Joined:
    Sep 8, 2003
    #4
    mpglib fails to make on OS X as well... something about the dependencies that Make can use isn't there where it should be.
     
  5. thread starter macrumors regular

    Caesar_091

    Joined:
    Jan 18, 2005
    Location:
    Italy
    #5
    Thanks for the help but there is still somenthing wrong.

    After I've fixed the to config file i got this error:
    Code:
    % ./configure
    configure: error: cannot run /bin/sh ./config.sub
    So i fixed config.sub file too but I got one more error:
    Code:
    % ./configure
    : command not foundem type... ./config.guess: line 5: 
    : command not founde 7: 
    : command not founde 26: 
    : command not founde 37: 
    : command not founde 39: 
    : command not founde 51: 
    : command not founde 61: 
    : command not founde 64: 
    '/config.guess: line 67: syntax error near unexpected token `in
    '/config.guess: line 67: `  case $1 in
    configure: error: cannot guess build type; you must specify one
    Any idea?
     

Share This Page